## Struct template binder2nd<FunT &, SecondArgT>

boost::log::binder2nd<FunT &, SecondArgT> — Second argument binder.

## Synopsis

    // In header: <boost/log/utility/functional/bind.hpp>

    template<typename FunT, typename SecondArgT>
    struct binder2nd<FunT &, SecondArgT> {
      // types
      typedef remove_cv< FunT >::type::result_type result_type;

      // construct/copy/destruct
      binder2nd(FunT &, unspecified);

      // public member functions
      template<typename T> result_type operator()(T const &) const;
      template<typename T0, typename T1>
        result_type operator()(T0 const &, T1 const &) const;
    };

## Description

### `binder2nd` public construct/copy/destruct

1.     binder2nd(FunT & fun, unspecified arg);

### `binder2nd` public member functions

1.     template<typename T> result_type operator()(T const & arg) const;

2.     template<typename T0, typename T1>
         result_type operator()(T0 const & arg0, T1 const & arg1) const;